package com.pcloud.book.mq.producer.impl;

import com.pcloud.book.book.dto.BookCoverImgUpdateDTO;
import com.pcloud.book.mq.producer.BookMQProducer;
import com.pcloud.common.core.constant.MQTopicProducer;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component("bookMQProducer")
public class BookProducerImpl implements BookMQProducer {

    @Resource
    private AmqpTemplate amqpTemplate;

    @Override
    public void sendUpdateBookCoverImgTopic(BookCoverImgUpdateDTO bookCoverImgUpdateDTO) {
        amqpTemplate.convertAndSend(MQTopicProducer.EXCHAGE, MQTopicProducer.UPDATE_BOOK_COVERIMG, bookCoverImgUpdateDTO);
    }
}
